Page MenuHomePhabricator

Update ApiSandbox to MediaWiki appearance using OOjs UI
Closed, ResolvedPublic

Description

We're preaching UI-Standardization to developers, but ApiSandbox is still using jQuery UI gradient buttons.
This is also a chance to fix the bug where the [Make request] [Examples] [Clear] buttons obscure the h6 action name.

F95551 is a quick mockup using mediawiki.ui styles to make the buttons left-aligned with one primary action per the style guide, and it puts the action in the table heading. For super-duper XP, could/should switch to OOUI widgets. I'm not sure what to do with the old-school <fieldset><legend> lines around each section.

Details

Related Gerrit Patches:
mediawiki/core : masterAdd Special:ApiSandbox
mediawiki/extensions/ApiSandbox : masterRemove jquery ui button dependency

Related Objects

Event Timeline

Spage raised the priority of this task from to Needs Triage.
Spage updated the task description. (Show Details)
Spage added a subscriber: Spage.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 16 2015, 8:23 PM

IIRC @Anomie was working on using oojs-ui while bringing it into core, except some widgets didn't exist yet.

Anomie claimed this task.Mar 16 2015, 8:33 PM

IIRC @Anomie was working on using oojs-ui while bringing it into core, except some widgets didn't exist yet.

You recall correctly, and much of the code is actually done. The task for "bringing into core" is T89386, BTW.

Blockers on that work are T91146 and T91147; T91148 would be nice to have; and T91126 is a usability issue.

IIRC @Anomie was working on using oojs-ui while bringing it into core

Great, and I will write "Updating ApiSandbox to use OOjs-UI" as a great Showcase/Inspire article. (If I take a screenshot of Firebug showing ApiSandbox's OOjs UI popup widget querying for action=paraminfo while I make the same query in ApiSandbox... I N C E P T I O N :-) )

Spage moved this task from Backlog to Tech on the Web-APIs-Hub board.Apr 28 2015, 7:50 PM

Change 209570 had a related patch set uploaded (by Anomie):
WIP: Add Special:ApiSandbox

https://gerrit.wikimedia.org/r/209570

Change 212855 had a related patch set uploaded (by Jdlrobson):
Remove jquery ui button dependency

https://gerrit.wikimedia.org/r/212855

Mattflaschen-WMF renamed this task from update ApiSandbox to mediawiki.ui / MediaWiki appearance to update ApiSandbox to MediaWiki appearance using OO UI PHP.May 24 2015, 12:46 PM
Mattflaschen-WMF renamed this task from update ApiSandbox to MediaWiki appearance using OO UI PHP to Update ApiSandbox to MediaWiki appearance using OO UI PHP.May 24 2015, 12:49 PM
Anomie renamed this task from Update ApiSandbox to MediaWiki appearance using OO UI PHP to Update ApiSandbox to MediaWiki appearance using OOJS UI.May 25 2015, 9:21 PM

@Anomie:

Actually, in spite of the name, OOjs UI widgets can exist without JavaScript (I've been trying to get it renamed to "OOUI"); there exists a parallel implementation in PHP, limited to the features that can be built with "static" HTML, but fully usable. We've been unofficially calling it OOUI PHP.

Change 212855 abandoned by Jdlrobson:
Remove jquery ui button dependency

Reason:
meh

https://gerrit.wikimedia.org/r/212855

What priority is this? Some blocker claims to be "High" priority, but it's not clear why.

Volker_E renamed this task from Update ApiSandbox to MediaWiki appearance using OOJS UI to Update ApiSandbox to MediaWiki appearance using OOjs UI.Oct 5 2015, 9:55 PM
Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptJan 10 2016, 9:01 AM

Change 209570 merged by jenkins-bot:
Add Special:ApiSandbox

https://gerrit.wikimedia.org/r/209570